import java.util.Calendar;
import java.util.Iterator;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.BlockingDeque;
/**
 * oL[iproducerNXj
 */
public class Sample121b extends Thread {
	private final BlockingDeque<String> deque;

	private final Map<String, Integer> calendarNames;

	public Sample121b(
			BlockingDeque<String> deque) {
		this.deque = deque;
		Calendar now = Calendar.getInstance();
		Locale locale = Locale.getDefault();
		calendarNames = now.getDisplayNames(Calendar.MONTH,
				Calendar.ALL_STYLES, locale);
		System.out.printf("Starting names: %s%n", calendarNames);
	}

	/*
	 * (non-Javadoc)
	 * @see java.lang.Thread#run()
	 */
	public void run() {
		Set<String> keys = calendarNames.keySet();
		Iterator<String> iter = keys.iterator();
		while (iter.hasNext()) {
			if (calendarNames.size() % 2 == 1) {
				deque.addFirst(iter.next());
			} else {
				deque.addLast(iter.next());
			}
		}
	}
}