import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

/**
 * XMLXg[~OiJDK5.0܂ł̕@jisNXj
 * 
 */
public class Sample160a {

	private static DocumentBuilderFactory builderFactory = 
					DocumentBuilderFactory.newInstance();

	/**
	 * ׂĂ̖{ꗗ擾܂B
	 * 
	 * @param fileName
	 *            XMLt@C
	 * @return List<Book> BookIuWFNg̃Xg
	 */
	public static List<Sample160b> getBookList(
			String fileName) {

		return parseDocument(readXml(fileName));
	}

	/**
	 * XMLt@Cf[^荞݂܂B
	 * 
	 * @param fileName
	 *            XMLt@C
	 * @return Document XMLS(hLg)
	 */
	private static Document readXml(String fileName) {
		Document document = null;

		try {
			DocumentBuilder builder = builderFactory.newDocumentBuilder();
			document = builder.parse(new File(fileName));

		} catch (IOException e) {
			e.printStackTrace();
		} catch (ParserConfigurationException e) {
			e.printStackTrace();
		} catch (SAXException e) {
			e.printStackTrace();
		}
		return document;
	}

	/**
	 * XMLt@CohLg BookIuWFNg̈ꗗԂ܂B
	 * 
	 * @param document
	 *            XMLS(hLg)
	 * @return List<Book> ǂݍBookIuWFNg̃Xg
	 */
	private static List<Sample160b> parseDocument(
			Document document) {
		List<Sample160b> bookList = new ArrayList<Sample160b>();

		Element results = (Element) document.getDocumentElement();
		NodeList bookNodeList = results.getElementsByTagName("book");

		for (int i = 0; i < bookNodeList.getLength(); i++) {
			Element element = (Element) bookNodeList.item(i);
			String title = getElementTextValue(element,"title");
			String author = getElementTextValue(element,"author");
			String description = getElementTextValue(element, "description");
			bookList.add(new Sample160b(title, author,description));
		}
		return bookList;
	}

	/**
	 * 
	 * @param parent
	 * @param elementTag
	 * @return
	 */
	private static String getElementTextValue(
			Element parent, String elementTag) {
		return parent.getElementsByTagName
			(elementTag).item(0).getFirstChild().getNodeValue();
	}

	/**
	 * main\bh
	 * 
	 * @param args
	 */
	public static void main(String args[]) {
		String fileName = "C:/samplefiles/Books.xml";
		getBookList(fileName);
	}
}