import static javax.xml.stream.XMLStreamConstants.END_ELEMENT;
import static javax.xml.stream.XMLStreamConstants.START_ELEMENT;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.XMLStreamReader;

/**
 * XMLXg[~Oi{킷NXFʁj
 *
 */
@XmlRootElement
public class Sample160b {

	//{̑ݒ肵܂B
	/** {̃^Cg */
	private String title;
	/** {̒ */
	private String author;
	/** {̓e */
	private String description;
	
	/**
	 * ftHgRXgN^
	 */
	public Sample160b(){
	}

	/**
	 * ̈ƂRXgN^
	 * @param title
	 * @param author
	 * @param description
	 */
	public Sample160b(String title, String author, String description){
		this.title = title;
		this.author = author;
		this.description = description;
		System.out.println("title:" + title);
		System.out.println("author:" + author);
		System.out.println("description:" + description);
	}

	/**
	 * XMLt@Cǂݍ݃IuWFNg𐶐RXgN^
	 * @param in XMLStreamReader
	 * @throws XMLStreamException
	 */
	public Sample160b(XMLStreamReader in) throws XMLStreamException {
		in.require(START_ELEMENT, null, "book");
		
		in.nextTag();
		in.require(START_ELEMENT, null, "title");
		title = in.getElementText();

		in.nextTag();
		in.require(START_ELEMENT, null, "author");
		author = in.getElementText();

		in.nextTag();
		in.require(START_ELEMENT, null, "description");
		description = in.getElementText();
		
		in.nextTag();
		in.require(END_ELEMENT, null, "book");
		
		in.nextTag();

		System.out.println("title:" + title);
		System.out.println("author:" + author);
		System.out.println("description:" + description);
	}
	
	/**
	 * @return author
	 */
	@XmlElement
	public String getAuthor() {
		return author;
	}

	/**
	 * @param author ݒ肷 author
	 */
	public void setAuthor(String author) {
		this.author = author;
	}

	/**
	 * @return description
	 */
	@XmlElement
	public String getDescription() {
		return description;
	}

	/**
	 * @param description ݒ肷 description
	 */
	public void setDescription(String description) {
		this.description = description;
	}

	/**
	 * @return title
	 */
	@XmlElement
	public String getTitle() {
		return title;
	}

	/**
	 * @param title ݒ肷 title
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	
}
