import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * JavaDB(Java)
 *
 */
public class Sample163 {
	/**
	 * main\bh
	 * @param args
	 */
	public static void main(String[] args) {
		Sample163 derby = new Sample163();
		derby.testDerby();
	}

	/**
	 * JavaDBɃANZX郁\bh
	 */
	public void testDerby() {
		Connection con = null;
		Statement stmt = null;
		ResultSet rs = null;
		try {
			Class.forName("org.apache.derby.jdbc.EmbeddedDriver");
			con = DriverManager.getConnection						("jdbc:derby:c:/testdb/test;create=true");
			// RlNVXe[gg쐬܂B
			stmt = con.createStatement();
			// TESTSAMPLEe[u쐬܂B
			stmt.execute("create table TESTSAMPLE(name varchar(10))");
			System.out.println("CREATE TABLE");
			// TESTSAMPLEe[uɃf[^o^܂B
			stmt.execute("insert into TESTSAMPLE(name) values ('sample1')");
			System.out.println("INSERT DATA");
			// TESTSAMPLEe[uo^f[^o܂B
			rs = stmt.executeQuery("select * from TESTSAMPLE");
			while (rs.next()) {
				System.out.println("NAME ="+ rs.getString("name"));
			}
			// TESTSAMPLEe[uo^f[^o܂B
			stmt.execute("drop table TESTSAMPLE");
			System.out.println("DROP TABLE");
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			try {
				if (stmt != null) {
					stmt.close();
				}
				if (con != null) {
					con.close();
				}
			} catch (SQLException e) {
				e.printStackTrace();
			}
		}
	}
}