import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * gFor
 * 
 */
public class Sample062 {

	public static void main(String[] args) {

		testForInForArray();
		System.out.println("");

		List categoryList = new ArrayList();
		categoryList.add("category1");
		categoryList.add("category2");
		categoryList.add("category3");
		categoryList.add("category4");

		List itemList = new ArrayList();
		itemList.add("item1");
		itemList.add("item2");

		testForInForError(categoryList, itemList);
		System.out.println("");
		testForInForJdk14(categoryList, itemList);
		System.out.println("");
		testForInForJdk5(categoryList, itemList);

		List<String> categoryStringList = new ArrayList<String>();
		categoryStringList.add("category1");
		categoryStringList.add("category2");
		categoryStringList.add("category3");
		categoryStringList.add("category4");

		List<String> itemStringList = new ArrayList<String>();
		itemStringList.add("item1");
		itemStringList.add("item2");

		testForInForJdk5WithGenerics(categoryStringList,itemStringList);
	}

	public static void testForInForArray() {
		String[] letters = { "T", "i", "g", "e", "r" };

		for (String str : letters) {
			System.out.print(str);
		}
	}

	/*
	 * ԈLqinext()𕡐sĂ܂Ăj
	 */
	public static void testForInForError(List categoryList,
			List itemList) {
		System.out.println("ԈIterator̎g");
		for (Iterator categoryIter = categoryList.iterator(); categoryIter.hasNext();) {
			for (Iterator itemIter = itemList.iterator(); itemIter.hasNext();) {
				System.out.println(categoryIter.next() + " : " + itemIter.next());
			}
		}
	}

	/*
	 * JDK1.4܂łIterator̋Lq
	 */
	public static void testForInForJdk14(List categoryList,
			List itemList) {
		System.out.println("JDK1.4܂łIterator̎g");
		for (Iterator categoryIter = categoryList.iterator(); categoryIter.hasNext();) {
			Object category = categoryIter.next();
			for (Iterator itemIter = itemList.iterator(); itemIter.hasNext();) {
				System.out.println(category + " : "+ itemIter.next());
			}
		}
	}

	/*
	 * JDK5ł̋Lq
	 */
	public static void testForInForJdk5(List categoryList,
			List itemList) {
		System.out.println("JDK5ł̎g");
		for (Object category : categoryList) {
			for (Object item : itemList) {
				System.out.println(category + " : " + item);
			}
		}
	}

	/*
	 * gForgLq
	 */
	public static void testForInForJdk5WithGenerics(
			List<String> categoryStringList,
			List<String> itemStringList) {
		System.out.println("JDK5ł̎g");
		for (String category : categoryStringList) {
			for (String item : itemStringList) {
				System.out.println(category + " : " + item);
			}
		}
	}
}
